# Interface methods for submodule: BinaryImageToShapeLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: BinaryImageToShapeLabelMapFilter
class BinaryImageToShapeLabelMapFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

	def SetOutputBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetOutputBackgroundValue(self) -> int:
		""""""
		...

	def SetInputForegroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetInputForegroundValue(self) -> int:
		""""""
		...

	def SetComputeFeretDiameter(self, _arg: bool) -> None:
		""""""
		...

	def GetComputeFeretDiameter(self) -> bool:
		""""""
		...

	def ComputeFeretDiameterOn(self) -> None:
		""""""
		...

	def ComputeFeretDiameterOff(self) -> None:
		""""""
		...

	def SetComputePerimeter(self, _arg: bool) -> None:
		""""""
		...

	def GetComputePerimeter(self) -> bool:
		""""""
		...

	def ComputePerimeterOn(self) -> None:
		""""""
		...

	def ComputePerimeterOff(self) -> None:
		""""""
		...

	def SetComputeOrientedBoundingBox(self, _arg: bool) -> None:
		""""""
		...

	def GetComputeOrientedBoundingBox(self) -> bool:
		""""""
		...

	def ComputeOrientedBoundingBoxOn(self) -> None:
		""""""
		...

	def ComputeOrientedBoundingBoxOff(self) -> None:
		""""""
		...

